** RESOLVIDO ** Diagrama não funciona no Linux....

(Rodrigo Lins) #1

Boa Tarde,

Como existem algumas pessoas com problema na geração do Diagrama (recurso do SC V5) no ambiente linux, estou abrindo este tópico para indicar o link que informa a correção para o problema.

http://www.scriptcase.com.br/site/baseknowledge/baseknowledge.php?id_topico=268

A solução para este problema é realizar a instalação do Graphviz no PHP, para a versão do sistema operacional utilizado por vocês.

Rodrigo Lins.

(system) #2

Olá Rodrigo,

Muito obrigado pela dica, segui esse tutorial e instalei o graphviz. Na mesma hora já gerou o diagrama sem problemas!

Att.
Robson

(Antonio Jr.) #3

Olá Pessoal,

Fiz a instalação do Graphviz (graphviz_2.26.3-1_i386.deb) no Ubuntu 9.10, mas o diagrama continua não funcionando. Onde devo criar os links para dot e naeto? Tem algum diretório e/ou permissão específicos?

Abraços,
Antonio Júnior

(system) #4

Olá Antônio,

Aqui eu instalei pelo apt-get: [tt]sudo apt-get install graphviz[/tt]
Depois disso não precisa nem reiniciar o servidor, o diagrama já é gerado normalmente…

Att.
Robson

(Antonio Jr.) #5

Caro Robson,

Obrigado pela dica, mas não tenho idéia do que está acontecendo! Já fiz e refiz a instalação. Como root ou não. E nada! Seu Linux é Ubuntu 9.10 também?

Abraços,
Antonio Júnior.

(system) #6

Antônio,

Pelo apt-get não funcionou tbm? estranho… aqui uso ubuntu 9.10 e basta instalar ele pelo apt-get que o diagrama já funciona.

Experimenta instalar outros pacotes do graphviz pelo apt-get:
[tt]sudo apt-get install graphviz graphviz-dev libgv-php5 libgraphviz4 libgraphviz-dev[/tt]

Att.
Robson

(Antonio Jr.) #7

Ôpa Robson, blz?!

Estive fora por um tempo.

Tentei diversas instalações do graphviz, mas nada funcionou! A sua instalação do Apache+PHP foi pelo apt-get ou Xampp ? O meu foi pelo Xampp. Vou refazer a instalação do Apache+PHP pelo apt-get também.

Valeu amigo por mais esse help.

Abraços,
Antonio CP Junior

(Antonio Jr.) #8

Olá Robson, blz?!

Resolvi. Refiz a instalação do apache+php pelo apt-get, ajustei as configurações, instalei graphviz e funcionou!

Abraços,
Antonio CP Júnior